Docker Community Forums

Share and learn in the Docker community.

Can't run xibo docker

Hello

I want to run the xibo docker on my windows machine with docker. I have done this installation many times without problems. Now i must setup it again and i have troubles. If i install the docker files i get follwing message

C:\xibo>docker-compose up -d
Pulling cms-db (mysql:5.6)…
Traceback (most recent call last):
File “site-packages\docker\credentials\store.py”, line 80, in _execute
File “subprocess.py”, line 395, in check_output
File “subprocess.py”, line 487, in run
subprocess.CalledProcessError: Command ‘[‘C:\Program Files\Docker\Docker\resources\bin\docker-credential-desktop.EXE’, ‘get’]’ returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “site-packages\docker\auth.py”, line 264, in _resolve_authconfig_credstore
File “site-packages\docker\credentials\store.py”, line 35, in get
File “site-packages\docker\credentials\store.py”, line 93, in _execute
docker.credentials.errors.StoreError: Credentials store docker-credential-desktop exited with "error getting credentials - err: exit status 1, out: Element nicht gefunden.".

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “docker-compose”, line 6, in
File “compose\cli\main.py”, line 72, in main
File “compose\cli\main.py”, line 128, in perform_command
File “compose\cli\main.py”, line 1077, in up
File “compose\cli\main.py”, line 1073, in up
File “compose\project.py”, line 548, in up
File “compose\service.py”, line 361, in ensure_image_exists
File “compose\service.py”, line 1250, in pull
File “compose\progress_stream.py”, line 102, in get_digest_from_pull
File “compose\service.py”, line 1215, in _do_pull
File “site-packages\docker\api\image.py”, line 396, in pull
File “site-packages\docker\auth.py”, line 48, in get_config_header
File “site-packages\docker\auth.py”, line 324, in resolve_authconfig
File “site-packages\docker\auth.py”, line 235, in resolve_authconfig
File “site-packages\docker\auth.py”, line 281, in _resolve_authconfig_credstore
docker.errors.DockerException: Credentials store error: StoreError(‘Credentials store docker-credential-desktop exited with "error getting credentials - err: exit status 1, out: Element nicht gefunden.".’)
[4908] Failed to execute script docker-compose

the guys from xibo tells me, that is not a problem from xibo, its from docker and i should conact this forum for help. Can someone tells me what the problem is?

Thanks

Peter